import {
	reactive, ref
} from 'vue';
function isSameType(a, b) {
    return a instanceof b === true || b instanceof a === true;
}
class OrderDetail {
	constructor(data) {
		const user ={}
		const table = {}
		const goodsList =[]
		const orderInfo = {}
		this.data=reactive({
			user,table,goodsList,orderInfo
		})
		Object.assign(this, data)
	}
	setVal(key,val){
		this.data[key]=val
	}
}

export default OrderDetail